Uaktualnienie do najnowszej CURL i Open SSL w WHM

Problem:
dostawców e-commerce, takich jak Paypal wprowadziła więcej ścisłe wymagania protokołu SSL. Ex:
“wymaga biblioteki OpenSSL >= 1.0.1 do zainstalowania na serwerze”

PHP info pokazuje:
CURL
OpenSSL/1.0.0 wersja SSL

Naprawić:

  • Zainstaluj najnowsze CURL:

CD/local/src
wget https://curl.haxx.se/Download/curl-7.52.1.tar.gz
tar - xvzf curl-7.52.1.tar.gz
curl CD *

./skonfigurować –Włącz gwintowane-rozpoznawania nazw –Włącz http –Włącz ftp –Włącz proxy –Włącz tftp –Enable ntlm –Włącz statyczne –z ssl = / usr/local/ssl –Włącz ipv6 –Włącz udostępnione –z libidn
Marka && Aby zainstalować

/usr/local/bin/curl –Wersja

  • Skonfigurować PHP z niego korzystać-Utwórz nowy plik /var/cpanel/easy/apache/rawopts/all_php5 z tej zawartości:
    –with-curl=/usr/local/src/curl-7.52.1
  • Odbudować Apache & PHP z EasyApache 3.

Wynik:

Informacji na temat PHP powinien być teraz widoczny:
cURL informacji 7.52.1
OpenSSL/1.0.1e wersja SSL

Red5 1.0 RC2 kompatybilności wstecznej

Najnowsze wersje Red5 ( Wersja red5 > 4326 jak 1.0 RC2 ) wprowadzają zmiany, które sprawiają, Red5 niezgodną ze starszymi aplikacjami.
Zmiany te są wymagane dla aplikacji do pracy.

Zaktualizowane aplikacje RTMP VideoWhisper można pobrać do użytku lub jako próbki do aktualizacji innych aplikacji.

 

To jest określone w Red5 grupy google:

Z rewizją 4326 widać problemy przy budowie lub prowadzeniu aplikacji z Red5. Większość problemów będzie prowadzony w

są z brakujących klas; w większości przypadków można po prostu dodać “Zakres” Pakiet do przywozu lub biegu “Optymalizacja importu” w Eclipse. Poniżej mam zająć kilka przedmiotów, które można uruchomić w.

 

 
1. IScope nie może być rozwiązana z typem

– Aktualizacja jar red5 lub źródło z ostatni

– Prawidłowe położenie IScope jest org.red5.server.api.scope.IScope, wcześniej było org.red5.server.api.IScope

 
2. Import org.red5.server.api.IScope nie można rozwiązać

– Aktualizacja jar red5 lub źródło z ostatni

– Prawidłowe położenie IScope jest org.red5.server.api.scope.IScope, wcześniej było org.red5.server.api.IScope

 

 
3. WebScope nie można znaleźć

– Otwórz aplikacje red5-web.xml i zmienić “web.scope” klasa fasoli

<bean id =”web.scope” class =”org.red5.server.scope.WebScope” startowych-method =”Zarejestruj się”>

zamiast tego

<bean id =”web.scope” class =”org.red5.server.WebScope” startowych-method =”Zarejestruj się”>

 

 
4. Podpis metoda nie pasuje xxxx.

– Na ten dylemat jest zmienić oczekiwania, aby otrzymać iterator i zamiast korzystać z kolekcji. Sposób zakresu

do pobierania nazwy scope teraz zwraca zestaw, jak pokazano tutaj:

 

Zestaw publicznych<String> getScopeNames()

 

 
5. Parametr “Typ” nie pasuje String.

– Dla zakresów, ich rodzaj nie jest identyfikowany przez ciąg, ale zamiast tego używa enum z ScopeType. Stara metoda na uzyskanie podstawowe

Nazwy zakres był jak tak:

 

Iterator publicznego<String> getBasicScopeNames(Typ String)

 

to jest nowa wersja:

 

Zestaw publicznych<String> getBasicScopeNames(Typ ScopeType)